Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.util
Class RunJar

    java.lang.Object
      org.apache.hadoop.util.RunJar

    public class RunJar

extends Object

Run a Hadoop job jar.

Constructor Summary
`RunJar()`

Method Summary
`static void` | `main(String[] args)` Run a Hadoop job jar.
`static void` | `unJar(File jarFile, File toDir)` Unpack a jar file into a directory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunJar

    public RunJar()

Method Detail

### unJar

    public static void unJar(File jarFile,
                             File toDir)
                      throws IOException

  Unpack a jar file into a directory.

  Throws:
    `IOException`

### main

    public static void main(String[] args)
                     throws Throwable

  Run a Hadoop job jar. If the main class is not in the jar's manifest, then it must be provided on the command line.

  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation